Webhook Subscriptions
List webhook subscriptions
Lists all webhook subscriptions for the authenticated project with pagination. Currently limited to one subscription per project.
GET
/
api
/
v3
/
webhook_subscriptions
List webhook subscriptions
import requests
url = "https://backend.composio.dev/api/v3/webhook_subscriptions"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://backend.composio.dev/api/v3/webhook_subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://backend.composio.dev/api/v3/webhook_subscriptions \
--header 'x-api-key: <api-key>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://backend.composio.dev/api/v3/webhook_subscriptions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://backend.composio.dev/api/v3/webhook_subscriptions")
.header("x-api-key", "<api-key>")
.asString();using RestSharp;
var options = new RestClientOptions("https://backend.composio.dev/api/v3/webhook_subscriptions");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-api-key", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
false{
"items": [
{
"id": "<string>",
"webhook_url": "<string>",
"version": "V1",
"enabled_events": [
"<string>"
],
"secret": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}
],
"total_pages": 123,
"current_page": 123,
"total_items": 123,
"next_cursor": "<string>"
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}Authorizations
Query Parameters
List webhook subscriptions
import requests
url = "https://backend.composio.dev/api/v3/webhook_subscriptions"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://backend.composio.dev/api/v3/webhook_subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://backend.composio.dev/api/v3/webhook_subscriptions \
--header 'x-api-key: <api-key>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://backend.composio.dev/api/v3/webhook_subscriptions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://backend.composio.dev/api/v3/webhook_subscriptions")
.header("x-api-key", "<api-key>")
.asString();using RestSharp;
var options = new RestClientOptions("https://backend.composio.dev/api/v3/webhook_subscriptions");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-api-key", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
false{
"items": [
{
"id": "<string>",
"webhook_url": "<string>",
"version": "V1",
"enabled_events": [
"<string>"
],
"secret": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}
],
"total_pages": 123,
"current_page": 123,
"total_items": 123,
"next_cursor": "<string>"
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}